Package org.apache.sling.distribution.journal.binary.jcr

## Class PackageCleaner

- java.lang.Object
- - org.apache.sling.distribution.journal.binary.jcr.PackageCleaner

    public class PackageCleaner
    extends Object

### Constructor Summary

Constructors
`PackageCleaner​(org.apache.sling.api.resource.ResourceResolver resolver, long deleteOlderThanTime)` Delete all packages older than specified time

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cleanup​(org.apache.sling.api.resource.Resource root)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackageCleaner

    public PackageCleaner​(org.apache.sling.api.resource.ResourceResolver resolver,
                          long deleteOlderThanTime)

Delete all packages older than specified time

Parameters:
  `resolver` -
  `deleteOlderThanTime` -

### Method Detail

#### cleanup

    public int cleanup​(org.apache.sling.api.resource.Resource root)
                throws org.apache.sling.api.resource.PersistenceException

Throws:
  `org.apache.sling.api.resource.PersistenceException`